[#import '/components/common/_abtest-assignment.ftl' as abTest/]
[#import '/macros/products/pipElements.ftl' as pipElements/]
[#import '/macros/products/subsets.ftl' as subsets/]
[#import '/macros/config.ftl' as config/]
[#import '/macros/products/addToCart.ftl' as addToCart/]

[#macro setBuying pipInfo isOptimizedLoadEnabled sectionType isPersistent showSurcharge persistents]
[#-- eCM MESSAGING ON PIP --]
    <div class="pip-set-buying">
        [@subsets.displaySubsetGroups groups=persistents showExtended=true showSurcharge=showSurcharge isOptimizedLoadEnabled=isOptimizedLoadEnabled  sectionType='persistents' isPersistent=true/]
    </div>
    [#if (isSetBuyingAddAllItemsEnabled && isSetBuyingAddLineItemEnabled) || isSetBuyingAddAllBelowEnabled]
        <div class="add-all-atc">
            [@addToCart.display suppressRegistry=pipInfo.isRegistrySuppressed() sectionType=sectionType addAll=true /]
        </div>
        [@wsgc.dojoaddonloadNested]
            wsgc.js.AddToCart.attach("#pip", {mainPip: true});
        [/@wsgc.dojoaddonloadNested]
    [/#if]
[/#macro]

[#--Returns true if pip type is complex/multi buy --]
[#function isPipTypeComplex pipInfo='' pipElements='']
    [#if pipInfo?? && pipInfo?is_hash]
        [#if config.id != "we"]
            [#if pipInfo.isMultiBuy()]
                [#return true]
            [#else]
                [#return false]
            [/#if]
        [#else]
            [#assign isMultiBuy = pipInfo.isMultiBuy()?string('multi','') /]
            [#if isMultiBuy == 'multi']
                [#return true]
            [#else ]
                [#return false]
            [/#if]
        [/#if]
    [#else ]
        [#return false]
    [/#if]
[/#function]

[#assign setbuyingBehaviorByFlag = info.getSetting("pip","setbuying_desktop_behavior")!"" /]
[#assign isSetBuyingAbTestDesktopEnabled = wsgc.ison("pip","is_setBuying_abtest_desktop_enabled")/]

[#global isComplexPip = isPipTypeComplex(pipInfo,pipElements)]

[#global isSetBuyingEnabled = false]
[#global isSetBuyingAddLineItemEnabled = false]
[#global isSetBuyingAddAllItemsEnabled = false]
[#global isSetBuyingAddAllBelowEnabled = false]

[#assign setbuyingExperience = isSetBuyingAbTestDesktopEnabled?then(abTest.getAbTestVariationAssignment("setBuyingDesktop")!"", "") /]

[#if (setbuyingExperience?has_content || setbuyingBehaviorByFlag?has_content) && isComplexPip]
    [#global isSetBuyingEnabled = true]
[/#if]

[#if setbuyingExperience?has_content && isComplexPip]
    [#if setbuyingExperience == 'inline-add-item']
        [#global isSetBuyingAddLineItemEnabled = true]
        [#global isSetBuyingAddAllItemsEnabled = false]
    [#elseif setbuyingExperience == 'inline-add-all']
        [#global isSetBuyingAddAllItemsEnabled = true]
        [#global isSetBuyingAddLineItemEnabled = false]
    [#elseif setbuyingExperience == 'inline-add-item-add-all-below']
        [#global isSetBuyingAddAllItemsEnabled = true]
        [#global isSetBuyingAddLineItemEnabled = true]
    [#elseif setbuyingExperience == 'add-all-below']
        [#global isSetBuyingAddAllBelowEnabled = true]
    [#else]
        [#global isSetBuyingEnabled = false]
    [/#if]
[#elseif setbuyingBehaviorByFlag?has_content && isComplexPip]
    [#if setbuyingBehaviorByFlag == 'inline-add-item']
        [#global isSetBuyingAddLineItemEnabled = true]
        [#global isSetBuyingAddAllItemsEnabled = false]
    [#elseif setbuyingBehaviorByFlag == 'inline-add-all']
        [#global isSetBuyingAddAllItemsEnabled = true]
        [#global isSetBuyingAddLineItemEnabled = false]
    [#elseif setbuyingBehaviorByFlag == 'inline-add-item-add-all-below']
        [#global isSetBuyingAddAllItemsEnabled = true]
        [#global isSetBuyingAddLineItemEnabled = true]
    [#elseif setbuyingBehaviorByFlag == 'add-all-below']
        [#global isSetBuyingAddAllBelowEnabled = true]
    [#else]
        [#global isSetBuyingEnabled = false]
    [/#if]
[/#if]
