package com.practice.migration.nov_13_23.customParser.service;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.practice.migration.FtlVueMigrationApplication;
import com.practice.migration.nov_13_23.customParser.model.request_and_response_body.FTLRequestBody;
import org.junit.jupiter.api.extension.ExtendWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit.jupiter.SpringExtension;

@ExtendWith(SpringExtension.class)
@SpringBootTest(classes = FtlVueMigrationApplication.class)
class Assign_MultiDivTags_HomeServiceTest {
    private static final String FTL_String =
            "[#macro smartBundlingOneLine utilityNeed]\n" +
            "    <div class=\"smart-bundling-one-line\" id=\"smartBundlingOneLine-${utilityNeed.mainSku}\">\n" +
            "        <div class=\"smart-bundling-cart-icon\">\n" +
            "            <img src=\"[@wsgc.docurl url='images/checkout/svg/cartDesktop.svg'/]\"/>\n" +
            "        </div>\n" +
            "        [#if utilityNeed.data.copy??]\n" +
            "            <div class=\"smart-bundling-copy\">${utilityNeed.data.copy}</div>\n" +
            "        [/#if]\n" +
            "        [#if smartBundlingCartConfiguration.isDesktopDismissProductRecommendationEnabledCartPage()]\n" +
            "            <div class=\"smart-bundling-close\">\n" +
            "                <a><img src=\"[@wsgc.docurl url='images/svg/close.svg'/]\" class=\"smartBundlingClose\"/></a>\n" +
            "            </div>\n" +
            "        [/#if]\n" +
            "    </div>\n" +
            "[/#macro]\n";
//    @Test
//    void contextLoads() {
    public static void main(String[] ar) throws JsonProcessingException {
//        HomeService homeService = new HomeService();
//        homeService.convertFTLtoJson(getStringJson());

    }

    private static FTLRequestBody getStringJson() {
        FTLRequestBody ftlRequestBody = new FTLRequestBody();
        System.out.println("----> FTL input <-------" + FTL_String);
        ftlRequestBody.setFtlString(FTL_String);
        return ftlRequestBody;
    }


}