package com.practice.migration;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.practice.migration.nov_13_23.customParser.model.request_and_response_body.FTLRequestBody;
import com.practice.migration.nov_13_23.customParser.service.HomeService;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
class FtlVueMigrationApplicationTests {

	@Test
	void contextLoads() throws JsonProcessingException {
		HomeService homeService = new HomeService();

		homeService.convertFTLtoJson(getStringJson());
	}

	private FTLRequestBody getStringJson() {
		FTLRequestBody ftlRequestBody = new FTLRequestBody();
		ftlRequestBody.setFtlString(FTL_String);
		return ftlRequestBody;
	}

	private static final String FTL_String = "[#assign name='John'] \n" +
			"[#if age > 18]\n" +
			"  Welcome, ${name}!\n" +
			"[#else]\n" +
			"  You are too young, ${name}!\n" +
			"[/#if]";

}
